summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/autogen.sh b/autogen.sh
index f597b7147..61b7bd96b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -29,13 +29,13 @@ DIE=0
DIE=1
}
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool-2 installed to generate util-linux-ng build system."
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/libtool"
- DIE=1
-}
+#(libtool --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "You must have libtool-2 installed to generate util-linux-ng build system."
+# echo "Download the appropriate package for your distribution,"
+# echo "or see http://www.gnu.org/software/libtool"
+# DIE=1
+#}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
@@ -62,11 +62,11 @@ test -f mount/mount.c || {
exit 1
}
-ltver=$(libtoolize --version | awk '/^libtoolize/ { print $4 }')
-test ${ltver##2.} == "$ltver" && {
- echo "You must have libtool version >= 2.x.x, but you have $ltver."
- exit 1
-}
+#ltver=$(libtoolize --version | awk '/^libtoolize/ { print $4 }')
+#test ${ltver##2.} == "$ltver" && {
+# echo "You must have libtool version >= 2.x.x, but you have $ltver."
+# exit 1
+#}
echo
echo "Generate build-system by:"
@@ -75,12 +75,12 @@ echo " aclocal: $(aclocal --version | head -1)"
echo " autoconf: $(autoconf --version | head -1)"
echo " autoheader: $(autoheader --version | head -1)"
echo " automake: $(automake --version | head -1)"
-echo " libtoolize: $(libtoolize --version | head -1)"
+#echo " libtoolize: $(libtoolize --version | head -1)"
echo
set -e
autopoint --force $AP_OPTS
-libtoolize --force --copy $LT_OPTS
+#libtoolize --force --copy $LT_OPTS
aclocal -I m4 $AL_OPTS
autoconf $AC_OPTS
autoheader $AH_OPTS